<ion-header no-border>
  <ion-toolbar>
    <ion-title>Filtrar</ion-title>
    <ion-buttons slot="start"
                 (click)="fechaPopover(km,type)">
      <ion-button>
        <ion-icon name="close"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col>
        <ion-list>
          <ion-item>
            <ion-range min="500"
                       max="500000"
                       color="secondary"
                       [(ngModel)]="km">
              <ion-label slot="start">500</ion-label>
              <ion-label slot="end">500000</ion-label>
            </ion-range>
          </ion-item>
          <ion-item>
            <ion-label>Categorias</ion-label>
            <ion-select [(ngModel)]="type"
                        okText="Ok"
                        cancelText="Cencelar">
              <ion-select-option *ngFor="let item of types"
                                 [value]="item.type"
                                 onchange="fechaPopover(item)">
                {{item.nome}}
              </ion-select-option>
            </ion-select>
          </ion-item>
        </ion-list>
        <div style="text-align: center">
          <ion-button (click)="fechaPopover(km,type)"
                      color="primary"
                      fill="clear"
                      size="small"
                      slote="end">
            ok
          </ion-button>
          <ion-button (click)="fechaPopover(km,type)"
                      color="primary"
                      fill="clear"
                      size="small"
                      slote="end">
            Cancelar
          </ion-button>
        </div>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>